CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
server_thread.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <pthread.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <netdb.h>`
`#include <sys/socket.h>`
`#include "lo_types_internal.h"`
`#include "lo/lo.h"`
`#include "lo/lo_throw.h"`

Go to the source code of this file.

## Functions
static void | thread_func (void *data)
lo_server_thread | lo_server_thread_new (const char *port, lo_err_handler err_h)
| Create a new server thread to handle incoming OSC messages.
lo_server_thread | lo_server_thread_new_multicast (const char *group, const char *port, lo_err_handler err_h)
| Create a new server thread to handle incoming OSC messages, and join a UDP multicast group.
lo_server_thread | lo_server_thread_new_with_proto (const char *port, int proto, lo_err_handler err_h)
| Create a new server thread to handle incoming OSC messages, specifying protocol.
void | lo_server_thread_free (lo_server_thread st)
| Free memory taken by a server thread.
lo_method | lo_server_thread_add_method (lo_server_thread st, const char *path, const char *typespec, lo_method_handler h, void *user_data)
| Add an OSC method to the specifed server thread.
void | lo_server_thread_del_method (lo_server_thread st, const char *path, const char *typespec)
| Delete an OSC method from the specifed server thread.
int | lo_server_thread_start (lo_server_thread st)
| Start the server thread.
int | lo_server_thread_stop (lo_server_thread st)
| Stop the server thread.
int | lo_server_thread_get_port (lo_server_thread st)
| Return the port number that the server thread has bound to.
char * | lo_server_thread_get_url (lo_server_thread st)
| Return a URL describing the address of the server thread.
lo_server | lo_server_thread_get_server (lo_server_thread st)
| Return the lo_server for a lo_server_thread.
int | lo_server_thread_events_pending (lo_server_thread st)
| Return true if there are scheduled events (eg. from bundles) waiting to be dispatched by the thread.
void | lo_server_thread_pp (lo_server_thread st)
| Pretty-print a lo_server_thread object.

## Function Documentation

static void thread_func | ( | void * | data | ) |
| static

Definition at line 163 of file server_thread.c.

References lo_server_recv_noblock().

Referenced by lo_server_thread_start().